Name: archivemail
Version: 0.7.0
Release: alt1

Summary: archive and compress old email
License: GPL
Group: File tools

BuildArch: noarch

Url: http://archivemail.sourceforge.net/

Source0: %name-%version.tar.gz

Requires: python-base python-modules python-modules-encodings 

#BuildPreReq: docbook-utils
BuildPreReq: python-modules-encodings

%description 
archivemail is a tool written in python(1) for archiving and compressing
old email in mailboxes. By default it will read the mailbox MAILBOX,
moving messages that are older that the specified number of days (180 by
default) to a mbox-format mailbox in the same directory that is
compressed with gzip(1).

archivemail supports reading IMAP, Maildir, MH and mbox-format mailboxes, but
it will always write archive files to mbox-format mailboxes that are compressed
with gzip(1).

%prep
%setup -q

%build
cp %name %name.py
./test_archivemail.py

%install
%__mkdir_p %buildroot{%_bindir,%_man1dir}
%__install -p -m755 %name %buildroot%_bindir/%name
%__install -p -m644 %name.1 %buildroot%_man1dir

%files
%_bindir/*
%_man1dir/*
%doc CHANGELOG FAQ README TODO test_archivemail.py examples/

%changelog
* Sun Nov 05 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Wed Aug 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Sat Jun 10 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.1-alt0.1
- initial build

